Name:           python-hatch-vcs
Version:        0.3.0
Release:        2
Summary:        Hatch plugin for versioning with your preferred VCS

License:        MIT
URL:            https://pypi.org/project/hatch-vcs
Source0:        https://files.pythonhosted.org/packages/04/33/b68d68e532392d938472d16a03e4ce0ccd749ea31b42d18f8baa6547cbfd/hatch_vcs-0.3.0.tar.gz
Patch0:         Fix-setuptools_scm-7.1.0-test-incompatible.patch
BuildArch:      noarch

BuildRequires:  python3-devel python3-pip  python3-hatchling 
BuildRequires:  python3-setuptools_scm python3-pathspec python3-hatch-vcs
BuildRequires:  python3dist(pytest)
BuildRequires:  git-core


%global common_description %{expand:
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.}

%description %{common_description}

%package -n python3-hatch-vcs
Summary:        %{summary}

%description -n python3-hatch-vcs %{common_description}

%prep
%autosetup -n hatch_vcs-%{version} -p1

%build
%pyproject_build

%install
%pyproject_install hatch_vcs==%{version}

%check
%{__python3} -m pytest

%files -n python3-hatch-vcs 
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/hatch_vcs
%{python3_sitelib}/hatch_vcs-%{version}*-info

%changelog
* Fri Sep 01 2023 wulei <wu_lei@hoperun.com> - 0.3.0-2
- Fix setuptools_scm 7.1.0 test incompatible

* Thu Apr 13 2023 caodongxia <caodongxia@h-partners.com> - 0.3.0-1
- Package init
